Search the Community
Showing results for tags 'command line'.
-
Please help me with this; While picking points, the data/text in the command line gets wrapped even though there is more space. (defun c:nanpt () (vl-load-com) (princ "\nStakeout Point by: Nan Glase (2024-12-24)") (princ "\nEnter \"NANPT\" to run.") (setq points '()) (setq polyline nil) ; Variable to hold the polyline object ;; Save the current DIMZIN value and set it to 0 to prevent suppressing zeros (setq old-dimzin (getvar "DIMZIN")) (setvar "DIMZIN" 0) ; Set DIMZIN to 0 to prevent suppressing trailing zeros ;; Start the polyline command (command "_.PLINE") (while t (setq pt (getpoint (if (and (not (null points))) (strcat "\nSelect a point (or press Enter to finish): " "Northing: " (rtos (cadr (last points)) 2 3) " Easting: " (rtos (car (last points)) 2 3)) "\nSelect a point (or press Enter to finish): "))) (if (null pt) (progn ;; Finish the polyline if at least one point was selected (if (> (length points) 0) (progn (command "") ; End the polyline command (setq polyline (entlast)) ; Get the last entity created (the polyline) ;; Save points to a file (setq data '()) (setq i 1) (foreach p points (setq line (strcat "S" (itoa i) ", " (rtos (cadr p) 2 3) ", " (rtos (car p) 2 3) ", 0")) (setq data (append data (list line))) (setq i (1+ i)) ) (setq formattedData (apply 'strcat (mapcar (function (lambda (x) (strcat x "\n"))) data))) (setq tmpfile (vl-file-syst-write (strcat (getenv "TEMP") "\\Nan_stakeoutpoint.txt") formattedData)) (startapp "notepad.exe" tmpfile) ) (princ "\nPlease select at least one point before finishing.") ) ;; If polyline exists, erase it (if polyline (progn (command "_.ERASE" polyline "") ; Erase the polyline (setq polyline nil) ; Clear polyline reference ) ) (setq points nil) ; Clear points list ) (progn ;; Append the point to the list (setq points (append points (list pt))) ; Store the point directly (command pt) ; Add the point to the polyline ) ) ) ;; Restore the original DIMZIN value (setvar "DIMZIN" old-dimzin) (princ) ) (defun vl-file-syst-write (filename content) (setq file (open filename "w")) (if file (progn (write-line content file) (close file) (princ (strcat "\nData has been written to Notepad. " filename)) ) (princ "\nError opening file for writing.") ) filename ) (princ "\nStakeout Point by: Nan Glase (2024-12-31)") (princ "\nEnter \"NANPT\" to run.")
- 8 replies
-
- command
- command line
-
(and 2 more)
Tagged with:
-
Command Line Not Staying Docked - *FIX*
ILoveMadoka posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
I'm posting this for any future people encountering the same issue. Hopefully it will save them some frustration! I'm old and I like the Command Line under the tabs. Personal Pref... I tried letting it float and adjusting transparency settings for several months and I'm just an old dog. I just read every thread I could find about how to get the Command line to stay put. I tried every variation if LOCKUI with no luck. Saving Workspaces (and new Workspaces) didn't work for me. CUI didn't work either. (Restarting ACAD always reset the location) Easiest Fix - WSSETTINGS -> Check Automatically Save Workspace Settings ALT Method/Same Command - Workspaces Pulldown (Upper Left of center) Where Drafting and Notation, 3D Modeling, 3D Basics are located Pick Workspace Settings Check Automatically Save Workspace Settings I did find this mentioned in one thread but it was a bit obscure. Don't mean to offend anyone, just trying to do something to help others the way many on here help me! -
dynamic block _ change properties in command line
Greg123 posted a topic in AutoCAD Drawing Management & Output
Dear Members, I have some stretchable dynamic Blocks. I would like to insert and change the length of them in command line. (without use my mouse and grip points) i havent got any problem with the insertation but i cant change the length of this bloks without using mouse. in Properties window there is a section (custom) where i can change the length of the blocks but when i type in command line: change-properties, there i cant find it. just the following options: color, elev, layer, ltype, ltscale, lweight thickness, transparency, materia, annotative Do you have any idea, how could i manage this problem? thanks your answer-
- dynamic block
- command line
-
(and 1 more)
Tagged with:
-
Command line wont accept input if an object is selected and cursor is over the object
bh_ONE posted a topic in AutoCAD General
Has anyone had the issue of your command line not working if you have a p-line/object selected and your cursor is over the same object? sometimes this will cause the object to adjust after you try to start a command, but the command won't start. I just get a beep signaling an error, but no message. Does anyone know of a setting to fix this annoying issue?- 8 replies
-
- command line
- command
-
(and 1 more)
Tagged with:
-
Hi, is any way to get command line status by programming in visual lisp? I.e. finding whether command line is: on (visible) or off (invisible) floating or docked (fixed) I appreciate any help.
-
Viewports in macros and command lines?
MrCrozzB posted a topic in AutoCAD Drawing Management & Output
Can I modify an existing viewport in a macro or in the command line? Using a macro, I want to modify (specifically delete) the viewport from a layout tab after chspace from model space. Does anyone know how to do this? I have LT so no LISP. qselect works but cannot be put into a macro. If I "select all" on a layout tab in paperspace ACAD says 1 of the objects selected is the viewport so I know autocad recognizes the viewport as a different kind of object. Thanks for your help. -
I have dual monitors . today i tried maximized space on main monitor by placing command line on 2nd screen . Strangely when i do that , autocad is slowed down . any command has a lag of about a second . i usually have adcenter and toolpalettes on 2nd monitor with no problem . any idea why this happens ?
-
Macro command in command prompts shortcut?
Benjo posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
Hi, I have created a macro command for my "dimaligned" so that every time i click on macro button and create a dimaligned it turns onto the good layers and i wanted to know if it is possible to remplace or create another dimaligned shortcut command (dal) by that macro command that i created. So everytime i would type Dimaligned or dal on the command prompts it would be my macro and not the standart dimaligned command. Is it possible? Heres my macro, ^C^C_-layer;_make;A-ANNO-DIMS;;_dimaligned; Thanks!- 13 replies
-
Hi All, I'm trying out AutoCAD 2011, it's looking great - but I seem to have lost any options/toggles to commands in the command line. For example if I type 'zoom', I'd expect to see extents, window, all etc appear but they dont - I am just left with 'zoom' and a blank space. The options seem to be there still - I can hit 'e' for extents, but I still want to be able to see the options for my commands. Dynamic input is off - does anyone know what is causing this? Thanks,